Subject: Re: [PATCH v3 00/20] Sparse Index: Design, Format, Tests

From: Junio C Hamano <[email-masked]>
Date: Thu, 18 Mar 2021 14:50:06 -0700

"Derrick Stolee via GitGitGadget" <[email-masked]> writes:

> For this version, I took Ævar's latest patches and applied them to v2.31.0
> and rebased this series on top. It uses his new "read_tree_at()" helper and
> the associated changes to the function pointer type.
>
>  * Fixed more typos. Thanks Martin and Elijah!
>  * Updated the test_sparse_match() macro to use "$@" instead of $*
>  * Added a test that git sparse-checkout init --no-sparse-index rewrites the
>    index to be full.

Thanks.  I expect ab/read-tree would be rerolled at least one more
time, if only to straighten out the "oops #5 was screwy, let's patch
it up on top with three more steps", but I do not expect the end
state would be all that different, so tentatively I'll queue these
patches on top of the latest iteration of the topic for now and
hope that the other topic will be updated soonish.